MineMeld install error bower install

Reply
L1 Bithead

MineMeld install error bower install

Hi all,

 

I have installed successfully minemeld on a test Ubuntu 16.04.

I try to do the same now in production and get an error on bower install :

fatal: [127.0.0.1]: FAILED! => {"changed": true, "cmd": ["bower", "install", "--allow-root"], "delta": "0:00:04.657525", "end": "2018-06-29 10:13:24.610040", "msg": "non-zero return code", "rc": 1, "start": "2018-06-29 10:13:19.952515", "stderr": "bower invalid-meta The \"name\" is recommended to be lowercase, can contain digits, dots, dashes\nbower angular-nvd3#~1.0.5      EINVRES Request to https://bower.herokuapp.com/packages/angular-nvd3 failed with 502", "stderr_lines": ["bower invalid-meta The \"name\" is recommended to be lowercase, can contain digits, dots, dashes", "bower angular-nvd3#~1.0.5      EINVRES Request to https://bower.herokuapp.com/packages/angular-nvd3 failed with 502"], "stdout": "", "stdout_lines": []}

 

I try on 14.04 as well with the same error.

 

Did someone get this issue ?

 

Thanks.

L1 Bithead

Re: MineMeld install error bower install

Hi All,

 

I've found a solution :

https://bower.herokuapp.com is deprecated.

After this error I ran : /opt/minemeld/www/venv/bin/npm install -g bower

And run again the ansible playbook.

 

It's working now.

Highlighted
L7 Applicator

Re: MineMeld install error bower install

Hi @SCHERRMANN,

thanks! We are working to get rid of bower and switch to npm + webpack.

I have opened an issue on github to track the development:

https://github.com/PaloAltoNetworks/minemeld-webui/issues/117

 

EDIT

We have introduced a temporary workaround while we get rid of bower, MineMeld installation via Ansible should be working again.

 

Luigi

L1 Bithead

Re: MineMeld install error bower install

I experienced this same error and performed the following per this thread:

ran : /opt/minemeld/www/venv/bin/npm install -g bower

And run again the ansible playbook.

 

Now I receive the following message when I run the ansible playbook:

 

TASK [minemeld : bower install] **********************************************************************************
fatal: [127.0.0.1]: FAILED! => {"changed": true, "cmd": ["bower", "install", "--allow-root"], "delta": "0:00:00.893631", "end": "2018-07-11 08:18:05.633195", "msg": "non-zero return code", "rc": 1, "start": "2018-07-11 08:18:04.739564", "stderr": "bower invalid-meta for:/opt/minemeld/www/webui/bower.json\nbower invalid-meta The \"name\" is recommended to be lowercase, can contain digits, dots, dashes\nbower angular-animate#~1.5.8 MODULE_NOT_FOUND Cannot find module 'q'", "stderr_lines": ["bower invalid-meta for:/opt/minemeld/www/webui/bower.json", "bower invalid-meta The \"name\" is recommended to be lowercase, can contain digits, dots, dashes", "bower angular-animate#~1.5.8 MODULE_NOT_FOUND Cannot find module 'q'"], "stdout": "", "stdout_lines": []}

Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the Live Community as a whole!

The Live Community thanks you for your participation!